## com.sun.jersey.spi.monitoring
Interface DispatchingListener

    public interface DispatchingListener

Author:
  @author Marek Potociar (marek.potociar at oracle.com)

Method Summary
`void` | `onResourceMethod(long id, AbstractResourceMethod method)` Called right before resource method invocation.
`void` | `onSubResource(long id, java.lang.Class subResource)` Called when Jersey finds suitable sub resource which will be used during request processing.
`void` | `onSubResourceLocator(long id, AbstractSubResourceLocator locator)` Called right before sub resource locator method is invoked.

Method Detail

### onSubResource

    void onSubResource(long id,
                       java.lang.Class subResource)

  Called when Jersey finds suitable sub resource which will be used during request processing.

  Parameters:
    `id` - Context ID.
    `subResource` - class representing matched sub resource.

### onSubResourceLocator

    void onSubResourceLocator(long id,
                              AbstractSubResourceLocator locator)

  Called right before sub resource locator method is invoked.

  Parameters:
    `id` - Context ID.
    `locator` - locator used for locating sub-resource.

### onResourceMethod

    void onResourceMethod(long id,
                          AbstractResourceMethod method)

  Called right before resource method invocation.

  Parameters:
    `id` - Context ID.
    `method` - method used for dispatching. It MUST NOT be modified.

Copyright © 2017 Oracle Corporation. All Rights Reserved.